#
# spec file for package dbus-1-python (Version 0.82.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs dbus-1 dbus-1-devel dbus-1-glib dbus-1-glib-devel diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl0_9_8 libreadline5 libstdc++-devel libstdc++42 libstdc++42-devel libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg openssl-certs pam pam-modules patch pcre pcre-devel perl perl-base permissions pkg-config popt post-build-checks pyrex python python-devel rpm sed sqlite sysvinit tar texinfo timezone util-linux zlib


Name:           dbus-1-python
BuildRequires:  dbus-1-glib-devel pyrex python-devel
Url:            http://dbus.freedesktop.org/
License:        Other uncritical OpenSource License
Group:          Development/Libraries/Python
Version:        0.82.0
Release:        28.2
AutoReqProv:    on
Summary:        Python bindings for D-Bus
Source0:        dbus-python-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       libxml2-python
Requires:       python-xml
%{py_requires}
%debug_package

%package -n dbus-1-python-devel
License:        Other uncritical OpenSource License
Summary:        Python bindings for D-Bus
Requires:       dbus-1 >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1`)
Requires:       dbus-1-devel >= %( echo `rpm -q --queryformat '%{VERSION}-%{RELEASE}' dbus-1-devel`)
Requires:       dbus-1-python = %{version}
AutoReqProv:    on
Group:          Development/Libraries/Python

%description
Python bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%description -n dbus-1-python-devel
Developer files for Python bindings for D-Bus.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%prep
%setup -n dbus-python-%{version} -q

%build
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS} -fstack-protector -fno-strict-aliasing -fPIC"
./configure                                  \
	--prefix=%{_prefix}                  \
	--exec_prefix=%{_exec_prefix}        \
	--sysconfdir=%{_sysconfdir}          \
	--datadir=%{_datadir}                \
	--localstatedir=%{_localstatedir}    \
	--libdir=%{_libdir}                  \
	--mandir=%{_mandir}                  \
	--docdir=%{_docdir}/dbus-python
make %{?jobs:-j %jobs} 

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%dir %{_docdir}/dbus-python
%{_libdir}/python2.5/site-packages/*
%{_docdir}/dbus-python/*

%files -n dbus-1-python-devel
%defattr(-, root, root)
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
* Tue Jun 19 2007 - thoenig@suse.de
- new upstream version 0.82.0 (skipped 0.80.2 and 0.81.0)
  - dbus.service.Object can start off with no Connection or object path, and
  become exported later. If suitable class attributes are set, objects can
  even be exported on multiple connections, or with multiple object-paths,
  or both.
  - dbus.service.FallbackObject implements a whole subtree of object-path space
  (fd.o #9295).
  - ``@method`` accepts a parameter ``connection_keyword`` so methods can find
  out which connection to use for any follow-up actions.
  - ``@signal`` has a new parameter ``rel_path_keyword`` which gets the path at
  which to emit the signal, relative to the path of the FallbackObject.
  ``path_keyword`` is now deprecated, and will raise an exception if used
  on an object with ``SUPPORTS_MULTIPLE_OBJECT_PATHS``, including any
  ``FallbackObject``.
- update to 0.81.0
  - When an Error message on the bus is represented as a DBusException, the
  error name is copied into the exception and can be retrieved by
  get_dbus_name(). Exception handlers should use this instead of looking at
  the stringified form of the exception, unless backwards compatibility
  is needed.
  - DBusException objects now get all arguments from the Error message, not
  just the first (although there will usually only be one). Use the 'args'
  attribute if you need to retrieve them.
  - The Connection, BusConnection and Bus classes have a method
  list_exported_child_objects(path: str) -> list of str, which wraps
  dbus_connection_list_registered()
  - You can remove objects from D-Bus before they become unreferenced, by
  using dbus.service.Object.remove_from_connection()
  (https://bugs.freedesktop.org/show_bug.cgi?id=10457)
- update to 0.80.2
  - Fix numerous memory and reference leaks
  - Only use -Werror if the user specifically asks for it
  - Audit tp_dealloc callbacks to make sure they correctly preserve the
  exception state
  - Relicense files solely owned by Collabora Ltd. more permissively (LGPL/AFL
  rather than GPL/AFL) - this includes the tutorial and all the C code
* Fri Mar 09 2007 - thoenig@suse.de
- add python-xml to 'Requires'
* Sun Mar 04 2007 - thoenig@suse.de
- fix completely broken build
- new package: dbus-1-python-devel
* Thu Mar 01 2007 - thoenig@suse.de
- new upstream version 0.80.1
- drop patch dbus-python_bindings_fix.diff
* Mon Nov 06 2006 - thoenig@suse.de
- loosen dependency to D-Bus
* Mon Sep 25 2006 - thoenig@suse.de
- add %%{py_requires} (b.n.c #207919)
* Tue Aug 01 2006 - thoenig@suse.de
- new upstream version 0.71
* Tue Aug 01 2006 - thoenig@suse.de
- split out binings to sparate spec files
